libgdamm Reference Documentation

Main Page Namespaces Book

# serverprovider.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::ServerProvider

## Typedefs

typedef GdaServerProviderInfo | Gnome::Gda::ServerProviderInfo

## Enumerations

enum

Gnome::Gda::ServerOperationType {
Gnome::Gda::SERVER_OPERATION_CREATE_DB,
Gnome::Gda::SERVER_OPERATION_DROP_DB,
Gnome::Gda::SERVER_OPERATION_CREATE_TABLE,
Gnome::Gda::SERVER_OPERATION_DROP_TABLE,
Gnome::Gda::SERVER_OPERATION_RENAME_TABLE,
Gnome::Gda::SERVER_OPERATION_ADD_COLUMN,
Gnome::Gda::SERVER_OPERATION_DROP_COLUMN,
Gnome::Gda::SERVER_OPERATION_CREATE_INDEX,
Gnome::Gda::SERVER_OPERATION_DROP_INDEX,
Gnome::Gda::SERVER_OPERATION_NB
}